Fedora Copr with LightZone beta (help wanted!)


Posting rules: It shouldn't need saying, but... play nice. Please keep your discussions civil. You can disagree, just don't be disagreeable. And, of course, all of the usual stuff like no spamming. Tex adds: I'll be rigorously enforcing this as we go along. We're probably going to be a small community in a little lifeboat, so we can't have members at each others' throats. This is for the sake of the project as a whole. So when you post, pretend you're speaking in person with your very wealthy auntie who has always treated you wonderfully and currently lists you prominently in her will. I won't be tossing anyone out of the forums because we are all in this together (except spammers: immediate membership cancelation), but I'll delete suspect posts right away.


2 posts / 0 new
Last post
mattdm
Fedora Copr with LightZone beta (help wanted!)

I'd like to get LightZone into the Fedora Linux distribution. To get started, I've built a Copr (Fedora's wild-west personal package repository) with the current git snapshot — see http://copr.fedoraproject.org/coprs/mattdm/LightZone/.

I'd love to get feedback and testing, and perhaps more importantly, I'd love someone familiar with Java and ideally with Fedora's Java packaging guidelines (http://fedoraproject.org/wiki/Packaging:Java) to help out. By Fedora's policies, we need to either detangle the bundled libraries (and there seem to be quite a lot) or get an exception (which is unlikely), and we can't just dump everything in /opt.

Anyone interested in helping out?

pfinnigan
Re:Fedora Copr with LightZone beta (help wanted!)

Sorry about taking time to respond, I have only just seen this note.

I am excited. As a Fedora user and with little Java experience I have been using verious packages with varying results. Each time I upgrade Fedora I have to try something else. I have just tried your repositories on Fedora 20 and the Rawhide version on Fedora 21.

One problem when running the current package on Fedora 21, LightZone crashes when attempting an edit on a picture. I say LightZone but the error message says "java-1.8.0-openjdk quit unexpectedly". I am sure you know about it but I thought it was worth reporting.

Finally you ask for help. I am willing and able to help, at the moment. However I don't have the skills you ask for. If you need help that a non-java person can help with then let me know and I will do what I can.